# TODO:
# - package requisites for unifished packages -nwstat
#   REQUIREMENTS explains the dependencies.
# - handle --without-dbi (new package)
# - add --without-radius bcond
# - check_ide_smart deps

# Conditional build:
%bcond_without	ldap		# build without ldap

%include	/usr/lib/rpm/macros.perl
Summary:	Host/service/network monitoring program plugins for Nagios
Summary(pl.UTF-8):	Wtyczki do monitorowania hostów/usług/sieci dla Nagiosa
Name:		nagios-plugins
Version:	2.0.1
Release:	1
License:	GPL v3
Group:		Networking
Source0:	http://www.nagios-plugins.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	70daeb6d2d9ea7d41827488b80782a60
# http://git.pld-linux.org/cgi-bin/cgit.cgi/projects/nagios-config.git/
Source1:	%{name}-config-20140307.tar.bz2
# Source1-md5:	de5c205501cb89c183193d4088d48222
Source2:	nagios-utils.php
#Patch:		%{name}-shared.patch # needs finishing
Patch0:		%{name}-tainted.patch
Patch3:		%{name}-subst.patch
Patch4:		%{name}-noroot.patch
Patch5:		%{name}-check_ping-socket-filter-warning.patch
Patch7:		%{name}-pgsql.patch
Patch9:		%{name}-check_log_paths.patch
Patch13:	%{name}-check_radius_segfault.patch
Patch20:	%{name}-cosmetic.patch
Patch21:	%{name}-check_hpjd-no-paper-out.patch
Patch23:	%{name}-check_disk_smb-zero-cap.patch
Patch24:	%{name}-paths.patch
Patch27:	%{name}-ping.patch
Patch28:	mawk-workaround.patch
URL:		http://www.nagiosplugins.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	file
BuildRequires:	libdbi-devel
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	libtap-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-Net-SNMP
BuildRequires:	postgresql-devel
%if "%{pld_release}" == "ac"
BuildRequires:	radiusclient-devel
%else
BuildRequires:	radiusclient-ng-devel
BuildConflicts:	radiusclient-devel
%endif
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	nagios-common
Obsoletes:	netsaint-plugins
Conflicts:	nagios < 3.1.2-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/nagios/plugins
%define		_pluginarchdir	%{_libdir}/nagios/plugins
%define		_pluginlibdir	%{_prefix}/lib/nagios/plugins
%define		_noautoprovfiles	utils.pm
%define		_noautoreq_perl DBD::Oracle RRD::File packet_utils snmputil utils

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
nagios package.

%description -l pl.UTF-8
Nagios to program monitorujący hosty i usługi w sieci i powiadamiający
pocztą elektroniczną lub na pager o wystąpieniu lub rozwiązaniu
problemów. Nagios działa na serwerze uniksowym w tle lub jako demon,
regularnie przeprowadzając kontrolę różnych podanych mu usług. Sama
kontrola usług jest wykonywana poprzez oddzielne "wtyczki" - programy
zwracajace stan danej usługi do Nagiosa.

Ten pakiet zawiera podstawowe wtyczki do używania z pakietem nagios.

%package libs
Summary:	Nagios plugins base libraries
Summary(pl.UTF-8):	Podstawowe biblioteki wtyczek Nagiosa
Group:		Networking

%description libs
This package contains nagios plugins base libraries that plugins
depend on.

%description libs -l pl.UTF-8
Ten pakiet zawiera podstawowe biblioteki wtyczek Nagiosa, wymagane
przez wtyczki.

%package devel
Summary:	Include files that Nagios plugins may compile against
Group:		Development/Libraries
# doesn't require base

%description devel
This package provides include files that Nagios plugins may compile
against.

# NOTE for sub package requires:
# Requires:	nagios-common for plugins directory and nagios group
# and add Requires:	%{name}-libs = %{version}-%{release} for utils.{sh,pm,php}
##############################################################################

%package mysql
Summary:	Nagios plugin to test a MySQL DBMS
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania systemu baz danych MySQL
Group:		Networking
Requires:	nagios-common

%description mysql
This plugin tests a MySQL DBMS to determine whether it is active and
accepting queries.

%description mysql -l pl.UTF-8
Ta wtyczka sprawdza serwer baz danych MySQL, aby określić, czy jest
aktywny i przyjmuje zapytania.

%package perl
Summary:	Nagios plugins written in Perl
Summary(pl.UTF-8):	Wtyczki Nagiosa napisane w Perlu
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}

%description perl
This package contains Nagios plugins written in Perl.

%description perl -l pl.UTF-8
Ten pakiet zawiera wtyczki Nagiosa napisane w Perlu.

%package samba
Summary:	Nagios plugin to check remote disk using smbclient
Summary(pl.UTF-8):	Wtyczka Nagiosa do zdalnego sprawdzania dysku z użyciem smbclienta
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	samba-client

%description samba
Perl Check SMB Disk plugin for Nagios.

%description samba -l pl.UTF-8
Perlowa wtyczka dla Nagiosa sprawdzająca dyski SMB.

%package snmp
Summary:	Nagios plugins using SNMP protocol to query information
Summary(pl.UTF-8):	Wtyczki Nagiosa używające protokołu SNMP w celu uzyskania informacji
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	net-snmp-utils
Requires:	perl-Net-SNMP

%description snmp
Nagios plugins using SNMP protocol to query information.

%description snmp -l pl.UTF-8
Wtyczki Nagiosa używające protokołu SNMP w celu uzyskania informacji.

%package ssh
Summary:	Nagios plugins to check remote services via SSH
Summary(pl.UTF-8):	Wtyczki Nagiosa do sprawdzania zdalnych usług po SSH
Group:		Networking
Requires:	nagios-common
Requires:	openssh-clients

%description ssh
This plugin uses SSH to execute commands on a remote host.

%description ssh -l pl.UTF-8
Ta wtyczka używa SSH do wykonywania poleceń na zdalnym hoście.

%package -n nagios-plugin-check_dig
Summary:	Nagios plugin to check DNS servers with dig
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania DNS-u przy użyciu programu dig
Group:		Networking
Requires:	bind-utils
Requires:	nagios-common
Provides:	nagios-plugins-dig = %{version}-%{release}
Obsoletes:	nagios-plugins-dig

%description -n nagios-plugin-check_dig
Test the DNS service on the specified host using dig.

%description -n nagios-plugin-check_dig -l pl.UTF-8
Ta wtyczka sprawdza usługę DNS na podanym hoście przy użyciu programu
dig.

%package -n nagios-plugin-check_dns
Summary:	Nagios plugin to check DNS with nslookup
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania DNS-u przy użyciu nslookup
Group:		Networking
Requires:	bind-utils
Requires:	nagios-common
Provides:	nagios-plugins-dns = %{version}-%{release}
Obsoletes:	nagios-plugins-dns

%description -n nagios-plugin-check_dns
This plugin uses the nslookup program to obtain the IP address for the
given host/domain query. A optional DNS server to use may be
specified. If no DNS server is specified, the default server(s)
specified in /etc/resolv.conf will be used.

%description -n nagios-plugin-check_dns -l pl.UTF-8
Ta wtyczka używa programu nslookup do uzyskania adresu IP danego dla
danego zapytania o host/domenę. Można opcjonalnie podać serwer DNS,
który ma być użyty. Jeśli nie podano serwera DNS, używany jest
domyślny serwer (lub serwery) podany w /etc/resolv.conf.

%package -n nagios-plugin-check_file_age
Summary:	Nagios plugin to check host up state with fping
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}

%description -n nagios-plugin-check_file_age
Nagios plugin to check local file age and size.

%package -n nagios-plugin-check_fping
Summary:	Nagios plugin to check host up state with fping
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania działania hosta przy użyciu programu fping
Group:		Networking
Requires:	fping
Requires:	nagios-common
Provides:	nagios-plugins-fping = %{version}-%{release}
Obsoletes:	nagios-plugins-fping

%description -n nagios-plugin-check_fping
This plugin will use the /bin/fping command to ping the specified host
for a fast check if the host is alive.

%description -n nagios-plugin-check_fping -l pl.UTF-8
Ta wtyczka używa polecenia /bin/fping do szybkiego sprawdzenia, czy
dany host działa.

%package -n nagios-plugin-check_game
Summary:	Nagios plugin to check status of Internet game servers
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania stanu serwerów gier internetowych
Group:		Networking
Requires:	nagios-common
Requires:	qstat
Provides:	nagios-plugins-qstat = %{version}-%{release}
Obsoletes:	nagios-plugins-qstat

%description -n nagios-plugin-check_game
This plugin uses the 'qstat' command, the popular game server status
query tool.

QStat is a command-line program that displays information about
Internet game servers.

The servers are either down, non-responsive, or running a game. For
servers running a game, the server name, map name, current number of
players, and response time are displayed. Server rules and player
information may also be displayed.

%description -n nagios-plugin-check_game -l pl.UTF-8
Ta wtyczka używa polecenia 'qstat' - popularnego narzędzia do zapytań
o stan serwerów gier.

QStat to program działający z linii poleceń wyświetlający informacje o
serwerach gier internetowych.

Serwery mogą być wyłączone, nie odpowiadać, bądź mieć uruchomioną grę.
Dla serwerów z grami wyświetlanea są: nazwa serwera, nazwa mapy,
aktualna liczba graczy i czas odpowiedzi. Mogą być dodatkowo
wyświetlone reguły serwera i informacje o graczach.

%package -n nagios-plugin-check_ldap
Summary:	Nagios plugin to check LDAP servers
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania serwerów LDAP
Group:		Networking
Requires:	nagios-common
Suggests:	openldap
Provides:	nagios-plugins-ldap = %{version}-%{release}
Obsoletes:	nagios-plugins-ldap

%description -n nagios-plugin-check_ldap
Nagios plugin to check LDAP servers.

%description -n nagios-plugin-check_ldap -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania serwerów LDAP.

%package -n nagios-plugin-check_load
Summary:	Nagios plugin to check uptime using procps
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania uptime'u przy użyciu procps
Group:		Networking
Requires:	nagios-common
Requires:	procps
Provides:	nagios-plugins-procps = %{version}-%{release}
Obsoletes:	nagios-plugins-procps

%description -n nagios-plugin-check_load
Nagios plugin to check uptime using procps.

%description -n nagios-plugin-check_load -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania uptime'u przy użyciu procps.

%package -n nagios-plugin-check_mailq
Summary:	Nagios plugin to check the number of messages in the local mail queue
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}

%description -n nagios-plugin-check_mailq
Checks the number of messages in the mail queue (supports multiple
sendmail queues, qmail).

%package -n nagios-plugin-check_nt
Summary:	Nagios plugin to check NT server with NSClient
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania serwera NT przy użyciu NSClienta
Group:		Networking
Requires:	%{name}-libs = %{version}-%{release}
Requires:	nagios-common

%description -n nagios-plugin-check_nt
Nagios plugin to check NT server with NSClient.

%description -n nagios-plugin-check_nt -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania serwera NT przy użyciu NSClienta.

%package -n nagios-plugin-check_ntp
Summary:	Nagios plugin to check time using NTP protocol
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania czasu przy użyciu protokołu NTP
Group:		Networking
Requires:	nagios-common
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ntp-client
Provides:	nagios-plugins-ntp = %{version}-%{release}
Obsoletes:	nagios-plugins-ntp

%description -n nagios-plugin-check_ntp
Checks the local timestamp offset versus <host> with ntpdate. Checks
the jitter/dispersion of clock signal between <host> and its sys.peer
with ntpq.

%description -n nagios-plugin-check_ntp -l pl.UTF-8
Ta wtyczka sprawdza przesunięcie lokalnego czasu względem danego hosta
przy użyciu ntpdate. Sprawdza wahania/dyspersję sygnału zegara
pomiędzy hostem a jego sys.peer przy użyciu ntpq.

%package -n nagios-plugin-check_pgsql
Summary:	Nagios plugin to test a PostgreSQL DBMS
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania systemu baz danych PostgreSQL
Group:		Networking
Requires:	nagios-common
Provides:	nagios-plugins-pgsql = %{version}-%{release}
Obsoletes:	nagios-plugins-pgsql

%description -n nagios-plugin-check_pgsql
This plugin tests a PostgreSQL DBMS to determine whether it is active
and accepting queries. In its current operation, it simply connects to
the specified database, and then disconnects. If no database is
specified, it connects to the template1 database, which is present in
every functioning PostgreSQL DBMS.

%description -n nagios-plugin-check_pgsql -l pl.UTF-8
Ta wtyczka sprawdza serwer baz danych PostgreSQL, aby określić, czy
jest aktywny i przyjmuje zapytania. Aktualnie po prostu łączy się do
określonej bazy danych i rozłącza. Jeśli nie podano bazy danych, łączy
się do bazy danych template1, obecnej w każdym działającym systemie
PostgreSQL.

%package -n nagios-plugin-check_ping
Summary:	Nagios plugin to check host up state with ping
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania działania hosta przy użyciu programu ping
Group:		Networking
Requires:	iputils-ping >= 1:s20070202-1
Requires:	nagios-common

%description -n nagios-plugin-check_ping
This plugin will use the /bin/ping command to ping the specified host
if the host is alive.

%description -n nagios-plugin-check_ping -l pl.UTF-8
Ta wtyczka używa polecenia /bin/ping do sprawdzenia, czy dany host
działa.

%package -n nagios-plugin-check_radius
Summary:	Nagios plugin to test a radius server to see if it is accepting connections
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania serwera radius pod kątem przyjmowania połączeń
Group:		Networking
Requires:	nagios-common
Requires:	radiusclient
Provides:	nagios-plugins-radius = %{version}-%{release}
Obsoletes:	nagios-plugins-radius

%description -n nagios-plugin-check_radius
This plugin tests a radius server to see if it is accepting
connections.

%description -n nagios-plugin-check_radius -l pl.UTF-8
Ta wtyczka sprawdza serwer usługi radius, aby zobaczyć, czy przyjmuje
połączenia.

%package -n nagios-plugin-check_sensors
Summary:	Nagios plugin to check hardware status using the lm_sensors package
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania stanu sprzętu przy użyciu pakietu lm_sensors
Group:		Networking
Requires:	nagios-common
# for utils.sh
Requires:	%{name}-libs = %{version}-%{release}
Requires:	lm_sensors
Provides:	nagios-plugins-sensors = %{version}-%{release}
Obsoletes:	nagios-plugins-sensors

%description -n nagios-plugin-check_sensors
This plugin checks hardware status using the lm_sensors package.

%description -n nagios-plugin-check_sensors -l pl.UTF-8
Ta wtyczka sprawdza stan sprzętu przy użyciu pakietu lm_sensors.

%package -n nagios-plugin-check_dbi
Summary:	Nagios plugin to check database with libdbi
Group:		Networking
Requires:	nagios-common
Suggests:	libdbi-drivers-firebird
Suggests:	libdbi-drivers-freetds
Suggests:	libdbi-drivers-mysql
Suggests:	libdbi-drivers-pgsql
Suggests:	libdbi-drivers-sqlite
Suggests:	libdbi-drivers-sqlite3

%description -n nagios-plugin-check_dbi
Nagios plugin to check database with libdbi.

# requisite not packaged in PLD
%package nwstat
Summary:	Nagios plugin nwstat
Summary(pl.UTF-8):	Wtyczka nwstat do Nagiosa
Group:		Networking
Requires:	%{name}-libs = %{version}-%{release}
Requires:	mrtgext
Requires:	nagios-common

%description nwstat
Nagios plugin using MRTGEXT module
<http://forge.novell.com/modules/xfmod/project/?mrtgext>.

%description nwstat -l pl.UTF-8
Wtyczka nagiosa używająca modułu MRTGEXT
<http://forge.novell.com/modules/xfmod/project/?mrtgext>.

%package contrib
Summary:	Contributed nagios plugins
Summary(pl.UTF-8):	Wtyczki przekazane do projektu Nagios
Group:		Networking
Requires:	nagios-common
# for utils.pm, utils.sh, utils.py
Requires:	%{name}-libs = %{version}-%{release}
# check_apache
Suggests:	perl-URI
Suggests:	perl-libwww
# check_apc_ups
Suggests:	net-snmp-utils
# check_arping
Suggests:	perl-Net-Arping
# check_bgpstate
Suggests:	perl-Net-SNMP
Suggests:	whois
# check_traceroute
Suggests:	traceroute
# check_traceroute-pure_perl
Suggests:	perl-Net-Traceroute
# check_temp_fsc
Suggests:	perl-SNMP_Session
# check_smart
Suggests:	smartmontools
# check_smb
Suggests:	samba
# check_adptraid
#Suggests:	dptutil
# unfinished... more deps are actually needed.

%description contrib
Contributed nagios plugins. Some of them work, some do not. Use at
your own risk.

%description contrib -l pl.UTF-8
Wtyczki przekazane do projektu Nagios. Część z nich działa, część nie.

%prep
%setup -q -a1
mv nagios-plugins-config-*/* .
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch13 -p1
%patch20 -p1
%patch21 -p1
%patch23 -p1
%patch24 -p1
%patch27 -p1
%patch28 -p1

# remove libtool m4 macro copies, breaks when system libtool is older
%{__rm} gl/m4/libtool.m4 gl/m4/lt*.m4

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

# force regen in build
rm -f configure

%build
if [ ! -f configure ]; then
	%{__gettextize}
	%{__libtoolize}
	%{__aclocal} -I m4 -I gl/m4
	%{__autoconf}
	%{__autoheader}
	%{__automake}
fi

%configure \
	--libexecdir=%{_pluginarchdir} \
	--enable-libtap=/usr \
	--with-cgiurl=/nagios/cgi-bin \
	--with-mysql=/usr \
	--with-pgsql=/usr \
	--with-openssl=/usr \
	--with-ping-command='/bin/ping -n -U -w %%d -c %%d %%s' \
	--with-ping6-command='/bin/ping6 -n -U -w %%d -c %%d %%s' \
	--with-ps-command="/bin/ps axwo 'stat uid ppid vsz rss pcpu comm args'" \
	--with-ps-format="%%s %%d %%d %%d %%d %%f %%s %%n" \
	--with-ps-cols=8 \
	--with-ps-varlist="procstat,&procuid,&procppid,&procvsz,&procrss,&procpcpu,procprog,&pos" \
	--with-proc-meminfo=/proc/meminfo \
	--with-proc-loadavg=/proc/loadavg \
	--with-nslookup-command="/usr/bin/nslookup -sil" \
	--with-uptime-command=/usr/bin/uptime \
	--with-rpcinfo-command=/usr/sbin/rpcinfo \
	--with-ntpdate-command=/usr/sbin/ntpdate \
	--with-smbclient-command=/usr/bin/smbclient \
	--with-dig-command=/usr/bin/dig \
	--with-fping-command=/usr/sbin/fping \
	--with-fping6-command=/usr/sbin/fping6 \
	--with-qstat-command=/usr/bin/qstat \
	--with-ssh-command=/usr/bin/ssh \
	--with-snmpget-command=/usr/bin/snmpget \
	--with-snmpgetnext-command=/usr/bin/snmpgetnext \
	--with-df-command='/bin/df -P' \
	--with-apt-get-command=/usr/bin/apt-get \
	--with-qmail-qstat-command=/usr/bin/qmail-qstat \
	--with-mailq-command=/usr/bin/mailq \
	--without-included-regex

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-root -C plugins-root \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_pluginarchdir}/check_nwstat

# for nagios-plugin-check_mysql_perf (at least)
cp -p lib/libnagiosplug.a $RPM_BUILD_ROOT%{_libdir}
cp -p gl/libgnu.a $RPM_BUILD_ROOT%{_libdir}
cp -p plugins/utils.o $RPM_BUILD_ROOT%{_libdir}
cp -p plugins/netutils.o $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_includedir}/nagiosplug/{plugins,gl,lib}
cp -p *.h $RPM_BUILD_ROOT%{_includedir}/nagiosplug
cp -p plugins/*.h $RPM_BUILD_ROOT%{_includedir}/nagiosplug/plugins
cp -p gl/*.h $RPM_BUILD_ROOT%{_includedir}/nagiosplug/gl
cp -p lib/*.h $RPM_BUILD_ROOT%{_includedir}/nagiosplug/lib

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p commands/*.cfg $RPM_BUILD_ROOT%{_sysconfdir}

%find_lang %{name}

%if "%{_pluginarchdir}" != "%{_pluginlibdir}"
# move arch independant files to _pluginlibdir
install -d $RPM_BUILD_ROOT%{_pluginlibdir}
mv $(find $RPM_BUILD_ROOT%{_pluginarchdir} -type f | xargs file | awk -F: '!/ELF/{print $1}') $RPM_BUILD_ROOT%{_pluginlibdir}
%{__sed} -i -e 's,use lib "%{_pluginarchdir}",use lib "%{_pluginlibdir}",' $RPM_BUILD_ROOT%{_pluginlibdir}/check_*
%endif

plugins=$(grep -Eoh 'command_line.*USER1\$/[^ ]+' $RPM_BUILD_ROOT%{_sysconfdir}/*.cfg | awk -F/ '{print $NF}' | sort -u)
for plugin in $plugins; do
	[ -x $RPM_BUILD_ROOT%{_pluginarchdir}/$plugin ] && libdir=%{_pluginarchdir} || libdir=%{_pluginlibdir}
	sed -i -e "s,\\\$USER1\\\$/$plugin ,$libdir/$plugin ," $RPM_BUILD_ROOT%{_sysconfdir}/*.cfg
done

cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pluginlibdir}/utils.php
chmod a-x $RPM_BUILD_ROOT%{_pluginlibdir}/utils.*

%clean
rm -rf $RPM_BUILD_ROOT

%if 0
# this is for shared lib
%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog
%doc FAQ LEGAL NEWS README REQUIREMENTS SUPPORT THANKS

# plugins
%attr(755,root,root) %{_pluginarchdir}/check_apt
%attr(755,root,root) %{_pluginarchdir}/check_cluster
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_disk.cfg
%attr(755,root,root) %{_pluginarchdir}/check_disk
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_dummy.cfg
%attr(755,root,root) %{_pluginarchdir}/check_dummy
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_http.cfg
%attr(755,root,root) %{_pluginarchdir}/check_http
%attr(755,root,root) %{_pluginarchdir}/check_ide_smart
%attr(755,root,root) %{_pluginarchdir}/check_mrtg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_mrtgtraf.cfg
%attr(755,root,root) %{_pluginarchdir}/check_mrtgtraf
%attr(755,root,root) %{_pluginarchdir}/check_nagios
# req: over-cr >= 0.99.53 http://www.molitor.org/overcr
%attr(755,root,root) %{_pluginarchdir}/check_overcr
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_procs.cfg
%attr(755,root,root) %{_pluginarchdir}/check_procs
%attr(755,root,root) %{_pluginarchdir}/check_real
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_smtp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_smtp
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_ssh.cfg
%attr(755,root,root) %{_pluginarchdir}/check_ssh
%attr(755,root,root) %{_pluginarchdir}/check_time
%attr(755,root,root) %{_pluginarchdir}/check_ups
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_users.cfg
%attr(755,root,root) %{_pluginarchdir}/check_users
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_swap.cfg
%attr(755,root,root) %{_pluginarchdir}/check_swap
%attr(755,root,root) %{_pluginlibdir}/check_log

# check_tcp and symlinks
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_tcp.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_telnet.cfg
%attr(755,root,root) %{_pluginarchdir}/check_tcp
%attr(755,root,root) %{_pluginarchdir}/check_clamd
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_ftp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_ftp
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_imap.cfg
%attr(755,root,root) %{_pluginarchdir}/check_imap
%attr(755,root,root) %{_pluginarchdir}/check_jabber
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_nntp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_nntp
%attr(755,root,root) %{_pluginarchdir}/check_nntps
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_pop.cfg
%attr(755,root,root) %{_pluginarchdir}/check_pop
%attr(755,root,root) %{_pluginarchdir}/check_simap
%attr(755,root,root) %{_pluginarchdir}/check_spop
%attr(755,root,root) %{_pluginarchdir}/check_ssmtp
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_udp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_udp
%attr(755,root,root) %{_pluginarchdir}/check_uptime

# these plugins need suid bit to operate
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_dhcp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_dhcp
%attr(755,root,root) %{_pluginarchdir}/check_icmp

# Cannot determine ORACLE_HOME for sid
# probably needs some external programs. can't test
%attr(755,root,root) %{_pluginlibdir}/check_oracle

%files libs
%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/libnagiosplug.so.0.0.0
%attr(755,root,root) %{_pluginarchdir}/negate
%attr(755,root,root) %{_pluginarchdir}/urlize

%{_pluginlibdir}/utils.pm
%{_pluginlibdir}/utils.php
%{_pluginlibdir}/utils.sh

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgnu.a
%{_libdir}/libnagiosplug.a
%{_libdir}/netutils.o
%{_libdir}/utils.o
%{_includedir}/nagiosplug

%files mysql
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_mysql.cfg
%attr(755,root,root) %{_pluginarchdir}/check_mysql
%attr(755,root,root) %{_pluginarchdir}/check_mysql_query

%files perl
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_ircd.cfg
%attr(755,root,root) %{_pluginlibdir}/check_ircd
%attr(755,root,root) %{_pluginlibdir}/check_rpc

# requires license.dat
%attr(755,root,root) %{_pluginlibdir}/check_flexlm

%files samba
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginlibdir}/check_disk_smb

# Not to be confused with nagios-snmp-plugins
%files snmp
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_snmp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_snmp
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_hpjd.cfg
%attr(755,root,root) %{_pluginarchdir}/check_hpjd
%attr(755,root,root) %{_pluginlibdir}/check_ifoperstatus
%attr(755,root,root) %{_pluginlibdir}/check_ifstatus
%attr(755,root,root) %{_pluginlibdir}/check_wave
%attr(755,root,root) %{_pluginlibdir}/check_breeze

%files ssh
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_by_ssh

%files -n nagios-plugin-check_dig
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_dig

%files -n nagios-plugin-check_dns
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_dns.cfg
%attr(755,root,root) %{_pluginarchdir}/check_dns

%files -n nagios-plugin-check_file_age
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_file_age.cfg
%attr(755,root,root) %{_pluginlibdir}/check_file_age

%files -n nagios-plugin-check_fping
%defattr(644,root,root,755)
%attr(2755,root,adm) %{_pluginarchdir}/check_fping

%files -n nagios-plugin-check_game
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_game

%if %{with ldap}
%files -n nagios-plugin-check_ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_ldap
%attr(755,root,root) %{_pluginarchdir}/check_ldaps
%endif

%files -n nagios-plugin-check_load
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_load.cfg
%attr(755,root,root) %{_pluginarchdir}/check_load

%files -n nagios-plugin-check_mailq
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginlibdir}/check_mailq

%files -n nagios-plugin-check_nt
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_nt.cfg
%attr(755,root,root) %{_pluginarchdir}/check_nt

%files -n nagios-plugin-check_ntp
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_ntp.cfg
%attr(755,root,root) %{_pluginarchdir}/check_ntp
%attr(755,root,root) %{_pluginarchdir}/check_ntp_peer
%attr(755,root,root) %{_pluginarchdir}/check_ntp_time

%files -n nagios-plugin-check_pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_pgsql

%files -n nagios-plugin-check_ping
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_ping.cfg
%attr(2755,root,adm) %{_pluginarchdir}/check_ping

%files -n nagios-plugin-check_radius
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_radius

%files -n nagios-plugin-check_sensors
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginlibdir}/check_sensors

%files -n nagios-plugin-check_dbi
%defattr(644,root,root,755)
%attr(755,root,root) %{_pluginarchdir}/check_dbi
%changelog
* Mon Apr 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugins.git;a=log;h=master

* Mon Apr 21 2014 Elan Ruusamäe <glen@delfi.ee> 43a3a02
- add mp reference

* Mon Apr 21 2014 Elan Ruusamäe <glen@delfi.ee> 40ba220
- up to 2.0.1

* Mon Apr 21 2014 Elan Ruusamäe <glen@delfi.ee> 9cc2238
- up to 2.0

* Mon Mar 10 2014 Elan Ruusamäe <glen@delfi.ee> e678f55
- add link to nagios config git repo

* Fri Mar 07 2014 Elan Ruusamäe <glen@delfi.ee> 65a61a5
- updated all plugin configs to support variable parameters (few were missing)

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> 1e6b07a
- BR libdbi-devel, cleanup unused net-snmp-devel, rpm-pythonprov

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 502567e
- up to 1.5, contrub stuff has been dropped upstream

* Sun Dec 09 2012 Elan Ruusamäe <glen@delfi.ee> 12239ec
- rpm5 perl naoutoreq

* Sat Dec 08 2012 Elan Ruusamäe <glen@delfi.ee> 454ce3f
- adjust for AC deps

* Thu Dec 06 2012 Elan Ruusamäe <glen@delfi.ee> 0cf0f35
- up to 1.4.16; license is GPLv3

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 8cce130
- %%files fixes

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 430df1e
- Use radiusclient-ng instead of radiusclient

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> ef5f1d2
- use radiusclient-ng instead of radiusclient

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 9110117
- format string usage fix in check_radius.c

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 5237db5
- build fix patch

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 5e20be5
- nagios-plugins-contrib-API patch fixed

* Fri Nov 23 2012 Jacek Konieczny <jajcus@jajcus.net> 82093c2
- 'without ldap' bcond added

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> fb93145
- disable empty ldconfig

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e93daa2
- release 4

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> d41f1a4
- marked pl description as UTF-8

